# frozen_string_literal: true

module Jekyll
  module Filters
    module Infinite
      # 
      def infinite_next(input, posts, amount)
        liquid = posts.map(&:to_liquid)
        liquid.rotate(liquid.index(input)).slice(1, amount)
      end

      def infinite_prev(input, posts, amount)
        liquid = posts.map(&:to_liquid)
        liquid.rotate(liquid.index(input)).reverse.slice(0, amount).reverse
      end
    end
  end
end

Liquid::Template.register_filter(Jekyll::Filters::Infinite)
